BentPlateGeometrySolverModifyConicalRadiuses Method |
Modify the radiuses of a conical section, preserving the length of the side boundaries. The order of the
provided radiuses is not relevant, as the cone vertex will be located on the same side of the plates as
the original cone section.
Namespace: Tekla.Structures.Model
Assembly: Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2023.0.3
Syntax
public ConnectiveGeometry ModifyConicalRadiuses( ConnectiveGeometry geometry, GeometrySection conicalSection, double radius1, double radius2 )
Parameters
- geometry
- Type: Tekla.Structures.ModelConnectiveGeometry
Reference geometry to modify which contains conicalSection. - conicalSection
- Type: Tekla.Structures.ModelGeometrySection
The conical geometry section to modify. - radius1
- Type: SystemDouble
New radius one of the cross sections of the cone. - radius2
- Type: SystemDouble
New radius of the other cross section of the cone.
Return Value
Type: ConnectiveGeometryModified ConnectiveGeometry if command succeeded or geometry otherwise.
Exceptions
Exception | Condition |
---|---|
ConnectiveGeometryException | Thrown if could not modify the geometry. |
See Also